classification
Title: Document exception classes in subprocess module
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder: Fully document subprocess.CalledProcessError
View: 14966
Assigned To: docs@python Nosy List: anton.barkovsky, asvetlov, docs@python, python-dev, tshepang
Priority: normal Keywords: patch

Created on 2012-07-30 13:31 by anton.barkovsky, last changed 2012-08-09 12:35 by asvetlov. This issue is now closed.

Files
File name Uploaded Description Edit
subprocess_doc_3.3.patch anton.barkovsky, 2012-07-30 13:31 review
subprocess_doc_3.2.patch anton.barkovsky, 2012-07-30 13:31 review
subprocess_doc_2.7.patch anton.barkovsky, 2012-07-30 13:32 review
subprocess_doc_2.7_v2.patch anton.barkovsky, 2012-08-09 11:26 review
subprocess_doc_3.2_v2.patch anton.barkovsky, 2012-08-09 11:26 review
subprocess_doc_3.3_v2.patch anton.barkovsky, 2012-08-09 11:27 review
Messages (5)
msg166895 - (view) Author: Anton Barkovsky (anton.barkovsky) * Date: 2012-07-30 13:31
Exception classes from subprocess module are mentioned in the doc but do
not have their own entries.

I'm attaching patches for 3.3, 3.2 and 2.7

This issue supersedes #14966.
msg167704 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-08-08 18:34
Please update your patches:
1. use attribute:: 
2. point base class for exception if it is not Exception
3. enumerate all attributes (`cmd` for CalledProcessError)

Example:

.. exception:: HTTPError

   Though being an exception (a subclass of :exc:`URLError`), an :exc:`HTTPError`
   can also function as a non-exceptional file-like return value (the same thing
   that :func:`urlopen` returns).  This is useful when handling exotic HTTP
   errors, such as requests for authentication.

   .. attribute:: code

      An HTTP status code as defined in `RFC 2616 <http://www.faqs.org/rfcs/rfc2616.html>`_.
      This numeric value corresponds to a value found in the dictionary of
      codes as found in :attr:`BaseHTTPServer.BaseHTTPRequestHandler.responses`.


Also please fill Contributor Agreement: http://www.python.org/psf/contrib/
msg167780 - (view) Author: Anton Barkovsky (anton.barkovsky) * Date: 2012-08-09 11:27
Updated.
msg167782 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-08-09 12:28
New changeset b863e231ad9f by Andrew Svetlov in branch 'default':
Issue #15501: Document exception classes in subprocess module.
http://hg.python.org/cpython/rev/b863e231ad9f

New changeset 1e8f6d8e5c0e by Andrew Svetlov in branch '3.2':
Issue #15501: Document exception classes in subprocess module.
http://hg.python.org/cpython/rev/1e8f6d8e5c0e

New changeset 9c99f31a9c2a by Andrew Svetlov in branch '2.7':
Issue #15501: Document exception classes in subprocess module.
http://hg.python.org/cpython/rev/9c99f31a9c2a
msg167784 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-08-09 12:35
Fixed. Thank you, Anton.
History
Date User Action Args
2012-08-09 12:35:14asvetlovsetstatus: open -> closed
superseder: Fully document subprocess.CalledProcessError
messages: + msg167784

resolution: fixed
stage: patch review -> resolved
2012-08-09 12:28:02python-devsetnosy: + python-dev
messages: + msg167782
2012-08-09 11:27:31anton.barkovskysetmessages: + msg167780
2012-08-09 11:27:04anton.barkovskysetfiles: + subprocess_doc_3.3_v2.patch
2012-08-09 11:26:57anton.barkovskysetfiles: + subprocess_doc_3.2_v2.patch
2012-08-09 11:26:49anton.barkovskysetfiles: + subprocess_doc_2.7_v2.patch
2012-08-08 18:34:50asvetlovsetnosy: + asvetlov
messages: + msg167704
2012-08-07 18:36:07asvetlovsetstage: patch review
2012-08-06 08:43:24tshepangsetnosy: + tshepang
2012-07-30 13:32:02anton.barkovskysetfiles: + subprocess_doc_2.7.patch
2012-07-30 13:31:56anton.barkovskysetfiles: + subprocess_doc_3.2.patch
2012-07-30 13:31:42anton.barkovskycreate